Articles of eclipse

如何在android中创build可编辑的微调框?

朋友们, 任何人都可以指导我如何在Android中创build可编辑的微调器? 任何帮助,将不胜感激。

Android / Eclipse / XML文件过早结束

首先让我承认,我在这里find了类似的问题,但只有一个答案,这个答案不适用于我的情况,所以… 我刚刚涉足Android,遇到了一个棘手的问题。 我正在使用Eclipse,并遇到一个问题,试图创build一个状态列表drawable,并不断在Eclipse中出现“文件过早结束”错误。 我有我的“绘制”目录中的图像。 我创build一个新文件,将其命名为date.xml,然后input以下内容: <?xml version="1.0" encoding="utf-8"?> <selector xmlns:android="http://schemas.android.com/apk/res/android"> <item android:drawable="@drawable/dategrey" android:state_selected="true" /> <item android:drawable="@drawable/datewhite" /> </selector> 我得到的确切的错误是“提前结束的文件。错误parsingXML:找不到元素”。 这让我感到困惑,因为那里显然有一个元素。 我错过了什么?

在Eclipse MAT中,美元在一个类的最后签名是什么意思?

我正在使用Eclipse MAT来尝试跟踪Android中的资源泄漏(如果您更改了屏幕方向),当我进入直方图视图时,我会看到列出的活动与同一活动一起列出,之后。 如此: com.test.TestActivity com.test.TestActivity$1 com.test.TestActivity$2 com.test.TestActivity$3 只是想知道$ 1,$ 2和$ 3是什么意思… TIA。

Cocos2d-x:如何将使用XCode开发的Cocos2d-x项目移植到Android(通过Eclipse)?

我用XCode开发了一个Cocos2d-X应用程序,当我在iOS设备上从XCode启动它时,它完美地工作。 现在,我想将其移植到Android。 我的理解是,我必须find一种方法将我的“XCode项目”导入到Eclipse中,以便能够编译它并在Android设备上启动它。 我目前正试图将这个项目转换为一个混合iOS / Android项目以下教程: http : //gameit.ro/2012/01/creating-an-iphone-and-android-cocos2d-x-hybrid-project-updated /#评论-640 不过,当我打开这个混合项目时,我没有看到任何出现在Eclipse中的cpp类(cocos2d-x C ++类),并且在尝试使用build_native.sh进行编译时出现以下错误: Compile++ thumb : game_logic <= AppDelegate.cpp jni/../../Classes/AppDelegate.cpp:14:23: error: IntroMenu.h: No such file or directory jni/../../Classes/AppDelegate.cpp:15:23: error: GameLayer.h: No such file or directory jni/../../Classes/AppDelegate.cpp:16:26: error: ScoreManager.h: No such file or directory jni/../../Classes/AppDelegate.cpp: In member function 'virtual bool AppDelegate::applicationDidFinishLaunching()': jni/../../Classes/AppDelegate.cpp:99: error: invalid use of […]

Android设备不会在Ubuntu 12.04上出现在线

我刚刚更新我的Ubuntu 11.10到12.04,并得到这个问题,我的android设备不会出现在网上,而我从eclipse运行android项目。我附上了截图。 我也把文件放在/etc/udev/rules.d/51-android.rules。 51-android.rules文件的内容是SUBSYSTEM ==“usb”,SYSFS {idVendor} ==“0bb4”,MODE =“0666”SUBSYSTEM ==“usb_device”,SYSFS {idVendor} ==“0bb4”,MODE = “0666” 截图是

升级到Proguard 4.8后,导出应用程序失败

我刚刚将我的Android SDK,ADT和Proguard升级到了最新,最好的版本。 我的项目编译生成并在debugging模式下运行良好,但只要我尝试导出它的签名版本APK,我收到导出向导错误没有任何错误日志消息在Eclipse控制台上!* 如果我尝试通过Window->Show View->Error Log来查看错误日志,我所看到的更多的是相同的: 我不知道该怎么做,因为无论Eclipse还是Proguard都不会给出任何有关问题的提示 。 我的项目导出很好,直到最近的升级。 没有build立警告。 没有皮棉警告! 我在${sdk.dir}\tools\proguard\proguard-android.txt使用Android的标准configuration文件: -dontusemixedcaseclassnames -dontskipnonpubliclibraryclasses -verbose -dontoptimize -dontpreverify -keepattributes *Annotation* -keep public class * extends android.app.Activity -keep public class * extends android.app.Application -keep public class * extends android.app.Service -keep public class * extends android.content.BroadcastReceiver -keep public class * extends android.content.ContentProvider -keep public class * extends android.app.backup.BackupAgent […]

在Android上创build设置向导

在我的应用程序中,我需要在开始时询问用户一些信息。 就像Google在第一次启动手机时询问用户一样。 使用Java和Android,如何为我的应用程序制作相同types的设置向导? 我可以创build多个活动,当转到向导的下一页时,我会启动它。 这似乎不是一个好办法。 我想使用Eclipse的GUI生成器来devise它。

如何将一个parameter passing给一个android junittesting(参数化testing)

我正在运行我的android junittesting使用命令行或eclipse取决于如果我在开发模式或在设备testing。 一个java应用程序有一个Main(String [] args)方法,很容易传递一个参数给它(或者在运行configuration部分的Arguments选项卡中使用eclipse或者通过命令行) 对于一个Android的junittesting它是不同的,没有主要的方法,我无处可以设置一些参数。 我已经阅读这里和那里解决scheme将是使用属性文件。 这是唯一的方法吗? 如果你是一个快速简单的例子,将非常感激。 谢谢 >>> Edit <<< 我正在使用Robotium,junit扩展了ActivityInstrumentationTestCase2请参阅下面的基本junittesting: import android.test.ActivityInstrumentationTestCase2; import android.util.Log; import com.jayway.android.robotium.solo.Solo; public class Test_arg extends ActivityInstrumentationTestCase2 { private static final String TARGET_PACKAGE_ID = "com.myapp.test"; private static final String LAUNCHER_ACTIVITY_FULL_CLASSNAME = "com.myapp"; private static Class launcherActivityClass; private Solo solo; static { try { launcherActivityClass = Class.forName(LAUNCHER_ACTIVITY_FULL_CLASSNAME); } […]

eclipse SDK中的Android NDK插件安装

当我试图安装Android NDK插件 Android开发者工具更新网站 – https://dl.google.com/android/eclipse/ 在我的Eclipse中,它显示了以下错误消息 – 我正在使用Google的Android开发人员工具,Build:v22.6.2-1085508。 我已经下载了android-ndk-r9d-windows-x86_64。 'Installing Software' has encountered a problem. An error occurred while collecting items to be installed An error occurred while collecting items to be installed session context was:(profile=profile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=). No repository found containing: osgi.bundle,com.android.ide.eclipse.ndk,22.6.3.v201404151837-1123206 No repository found containing: org.eclipse.update.feature,com.android.ide.eclipse.ndk,22.6.3.v201404151837-1123206 我不知道如何解决它。

在eclipse中更新ADT 23.0.0时出错

我已经经历了这个问题,但没有帮助。 使用Android开发工具更新eclipse 23 在启动eclipse时显示下面的错误。 当我尝试检查更新 – 它什么都不做。 然后我试了一下 帮助 – >安装新软件 – >“ https://dl-ssl.google.com/android/eclipse/ ” 它显示下面的错误 Cannot complete the install because of a conflicting dependency. Software being installed: Android Native Development Tools 23.0.1.1256982 (com.android.ide.eclipse.ndk.feature.feature.group 23.0.1.1256982) Software currently installed: Android Native Development Tools 22.6.3.v201404151837-1123206 (com.android.ide.eclipse.ndk.feature.group 22.6.3.v201404151837-1123206) Only one of the following can be installed at once: […]